Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Jan 2022 16:27:33 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? How many times I order in gloo fragrance body mist always giving Arabian Gold I don't like the smell to much strong everytime I order same product they give https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3782037